/* 
    Created on : Sep 22, 2016, 6:29:20 PM
    Author     : grant
*/

.messages-whole-page {
    margin: 0px;
    padding: 1px;
    text-align: center;
    //box-shadow: inset 0 0 100px #04a;
    background-color: #ccc;
}

.message-analysis-container {
    margin: 20px auto;
    //border: 1px solid #777;
    //border-radius: 10px;
    //box-shadow: 0px 0px 20px 2px #444;
    width: 50%;
    margin-top: 50px;
}

.message-section {
    border: 1px solid #000;
    border-radius: 10px;
    background-color: #eee;
    margin: 5px auto;
    width: 90%;
    box-shadow: 2px 2px 4px 2px #555;
}

#responseText {
    width: 60%;
    margin: 10px auto;
    padding: 10px;
    border: 1px solid #aaa;
    border-radius: 5px;
    background-color: #fff;
    //height: 100%;
    //max-height: 700px;
    overflow: auto;
}

#responseText p {
    width: 80%;
    padding: 5px;
    border-radius: 10px;
    margin: 2px 5px 0px 5px;
    text-align: left;
    display: block;
    cursor: default;
}

#responseText p.toMe {
    background-color: #eee;
    //margin-right: 50px;
    float: left;
}

#responseText p.fromMe {
    background-color: #06f;
    color: white;
    //margin-left: 50px;
    float: right;
}

#responseText p.convoHeader {
    margin: 5px auto;
    border-bottom: 1px solid #777;
    border-radius: 0px;
}

#responseText p.toMe:after {
    content: attr(data-time-show);
    font-size: 12px;
    color: #555;
}
#responseText p.fromMe:after {
    content: attr(data-time-show);
    font-size: 12px;
    color: #222;
}

#datepicker {
    background-color: #fff;
    border: 2px solid #06f;
    border-radius: 5px;
    margin: 5px auto;
    padding: 5px;
    width: 235px;
}

/* ON MOBILE */
@media (max-width: 768px) {
    input.form-control {
        width: 80%;
        margin: 2px auto;
        padding: 5px;
    }
    
    .message-analysis-container {
        width: 99%;
        margin: 5px auto;
    }
    
    #responseText {
        width: 95%;
    }
    
    .about {
        width: 99%;
    }
}

/* ON DESKTOP */ 
@media (min-width: 768px) {
    #responseText {
        //max-height: 700px;
        //overflow: auto;
    }
}

.about {
    text-align: left;
    width: 90%;
    padding: 10px 40px 10px 40px;
    color: white;
    border: 1px solid #000;
    border-radius: 10px;
    background-color: rgba(0, 100, 255, 0.8);
    margin: 5px auto;
    margin-bottom: 20px;
    width: 90%;
    box-shadow: 2px 2px 4px 2px #555;
    font-size: 16px;
}
